OAuth2::AccessToken::Bearer -

# class OAuth2::AccessToken::Bearer

- OAuth2::AccessToken::Bearer
- OAuth2::AccessToken
- Reference
- Object

## Defined in:

## Constructors

- .new(pull : JSON::PullParser)

## Instance Method Summary

- #==(other : self)
- #authenticate(request : HTTP::Request, tls)
- #hash(hasher)
- #to_json(json : JSON::Builder)
- #token_type

### Instance methods inherited from class `OAuth2::AccessToken`

access_token : String access_token, access_token=(access_token : String) access_token=, authenticate(request : HTTP::Request, tls)
authenticate(client : HTTP::Client) authenticate, expires_in : Int64? expires_in, expires_in=(expires_in : Int64?) expires_in=, extra : Hash(String, String)? extra, extra=(extra : Hash(String, String)?) extra=, refresh_token : String? refresh_token, refresh_token=(refresh_token : String?) refresh_token=, scope : String? scope, scope=(scope : String?) scope=

### Constructor methods inherited from class `OAuth2::AccessToken`

new(access_token : String, expires_in : Int?, refresh_token : String? = nil, scope : String? = nil, extra = nil)
new(pull : JSON::PullParser) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(pull : JSON::PullParser) #

## Instance Method Detail

def ==(other : self) #
def authenticate(request : HTTP::Request, tls) #
def hash(hasher) #
def to_json(json : JSON::Builder) #
def token_type #